[Flatpak] Use the safe PyYAML loader if available
authoraperez@igalia.com <aperez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 10 May 2019 14:42:27 +0000 (14:42 +0000)
committeraperez@igalia.com <aperez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 10 May 2019 14:42:27 +0000 (14:42 +0000)
commit2775781c00a2c4c5345638e26e0cd3472f305963
tree195480a36dbc026f285f58e9c9c4dd3d29ca427b
parentf82f66aa32e8956ebe7975f4cf93bbdc5438c6ce
[Flatpak] Use the safe PyYAML loader if available
https://bugs.webkit.org/show_bug.cgi?id=197771

Reviewed by Philippe Normand.

* flatpak/flatpakutils.py:
(load_manifest): Use yaml.safe_load() if available, with yaml.load()
still used as fallback when the former is not provided by the module.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@245172 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Tools/ChangeLog
Tools/flatpak/flatpakutils.py